summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0046netmap_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/0046netmap_0')
-rwxr-xr-xtests/shell/testcases/sets/0046netmap_014
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0046netmap_0 b/tests/shell/testcases/sets/0046netmap_0
new file mode 100755
index 00000000..2804a4a2
--- /dev/null
+++ b/tests/shell/testcases/sets/0046netmap_0
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+EXPECTED="table ip x {
+ chain y {
+ type nat hook postrouting priority srcnat; policy accept;
+ snat ip prefix to ip saddr map { 10.141.11.0/24 : 192.168.2.0/24,
+ 10.141.12.0/24 : 192.168.3.0/24,
+ 10.141.13.0/24 : 192.168.4.0/24 }
+ }
+ }
+"
+
+set -e
+$NFT -f - <<< $EXPECTED